﻿@{
    ViewBag.Title = "select";
    Layout = "~/Views/Shared/_B3Layout.cshtml";
}
@section Scripts{
    @if (false)
    {
        <script src="../../Scripts/Public/jquery-1.11.1.js" type="text/javascript"></script>
        <script src="../../Scripts/Public/bootstrap3/bootstrap.js" type="text/javascript"></script>
        <script src="../../Scripts/Public/sa/jquery.sa.ajax.js" type="text/javascript"></script>
        <script type="text/javascript" src="../../Scripts/Public/sa/jquery.sa.ajax.js"></script>
        <script type="text/javascript" src="../../Scripts/Public/sa/jquery.sa.dialog.js"></script>
        
    }
    <script src="../../Scripts/Public/bbss/jqueryextend.js" type="text/javascript"></script>
    <script type="text/javascript">
        $(document).on("click", "#btn1", function () {
            var txt = $("#txtContent").val();
            var rightString = $.sa.rightString(txt, 4);
            $.sa.confirm(rightString);
        });
        $(document).on("click", "#btn2", function () {
            var txt = $("#txtContent").val();
            var leftString = $.sa.leftString(txt, 3);
            $.sa.confirm(leftString);
        });
        $(document).on("click", "#btn3", function () {
            var min = parseFloat($("#txtmin").val());
            var max = parseFloat($("#txtmax").val());
            var random = $.sa.randomNumber(min, max);
            $.sa.confirm(random);
        });
        $(document).on("click", "#btn4", function () {
            var min = parseInt($("#txtmin").val());
            var max = parseInt($("#txtmax").val());
            var random = $.sa.randomInt(min, max);
            $.sa.confirm(random);
        });

        $(document).on("click", "#btn5", function () {
            var comma = $("#txtnumber").val();
            var number = $.sa.commaToNum(comma);

            $.sa.confirm(number);
        });
        $(document).on("click", "#btn6", function () {
            var number = $("#txtnumber").val();
            var comma = $.sa.numToComma(number);

            $.sa.confirm(comma);
        });
        $("#btnParseDate").on("click", function () {
            $("#datelist .row").each(function (idx, row) {
                //get param
                var date = $(row).find('.date-input').val();
                var otype = $(row).find('.date-otype').val();
                var ntype = $(row).find('.date-ntype').val();
                //format date
                var result = $.sa.parseDate(otype, date, ntype);
                //result date
                $(row).find('.date-result').val(result);
            });
        });
    </script>
}
@section HeadCss{
    @if (false)
    {
        <link href="/Content/public/bootstrap3/bootstrap.css" rel="stylesheet" type="text/css" />
        <link rel="stylesheet" type="text/css" href="../../Content/public/bootstrap3/bootstrap-custom.css" />
    }
}
<div class="container-fluid">
    <div class="row">
        <div class="col-md-4 col-sm-6  gap-top">
            <div class=" btn-group">
                <button class="btn btn-default" id="btn1">
                    选择右侧4位string</button></div>
            <div class=" btn-group">
                <button class="btn btn-default" id="btn2">
                    选择左侧3位string</button></div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-4 col-sm-6  gap-top">
            <div class="input-group ">
                <span class="input-group-addon title-md ">输入内容:</span>
                <input type="text" class="form-control" id="txtContent" />
            </div>
        </div>
    </div>
    <hr />
    <div class="row">
        <div class="col-md-4 col-sm-6  gap-top">
            <div class=" btn-group">
                <button class="btn btn-default" id="btn3">
                    随机数</button></div>
            <div class=" btn-group">
                <button class="btn btn-default" id="btn4">
                    随机整数</button></div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-4 col-sm-6 gap-top">
            <div class="input-group  gap-top">
                <span class="input-group-addon title-md ">最小值/最大值:</span>
                <input type="text" class="form-control" id="txtmin" />
                <input type="text" class="form-control" id="txtmax" />
            </div>
        </div>
    </div>
    <hr />
    <div class="row">
        <div class="col-md-4 col-sm-6  gap-top">
            <div class=" btn-group">
                <button class="btn btn-default" id="btn5">
                    带分号的数字to数字</button></div>
            <div class=" btn-group">
                <button class="btn btn-default" id="btn6">
                    数字to带分好的数字</button></div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-4 col-sm-6 gap-top ">
            <div class="input-group ">
                <span class="input-group-addon title-md ">数字:</span>
                <input type="text" class="form-control" id="txtnumber" />
            </div>
        </div>
    </div>
    <hr />
    <div class="row">
        <div class="col-md-4 col-sm-6  gap-top">
            <div class=" btn-group">
                <button class="btn btn-default" id="btnParseDate">
                    日期转换</button>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="container-fluid" id="datelist">
            <div class="row">
                <div class="col-md-3 col-sm-6 gap-top ">
                    <div class="input-group ">
                        <span class="input-group-addon title-sm ">日期:</span>
                        <input type="text" class="form-control date-input" value="/Date(1412697600123)/" />
                    </div>
                </div>
                <div class="col-md-3 col-sm-6 gap-top ">
                    <div class="input-group ">
                        <span class="input-group-addon title-md">原日期类型:</span>
                        <input type="text" class="form-control date-otype" value="u" />
                    </div>
                </div>
                <div class="col-md-3 col-sm-6 gap-top ">
                    <div class="input-group ">
                        <span class="input-group-addon title-md">新日期类型:</span>
                        <input type="text" class="form-control date-ntype" value="Y-m-d H:i:s.u" />
                    </div>
                </div>
                <div class="col-md-3 col-sm-6 gap-top ">
                    <div class="input-group ">
                        <span class="input-group-addon title-md">转换结果:</span>
                        <input type="text" class="form-control input-readonly date-result" readonly="readonly" />
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3 col-sm-6 gap-top ">
                    <div class="input-group ">
                        <span class="input-group-addon title-sm ">日期:</span>
                        <input type="text" class="form-control date-input" value="/Date(1412697600000)/" />
                    </div>
                </div>
                <div class="col-md-3 col-sm-6 gap-top ">
                    <div class="input-group ">
                        <span class="input-group-addon title-md">原日期类型:</span>
                        <input type="text" class="form-control date-otype" value="u" />
                    </div>
                </div>
                <div class="col-md-3 col-sm-6 gap-top ">
                    <div class="input-group ">
                        <span class="input-group-addon title-md">新日期类型:</span>
                        <input type="text" class="form-control date-ntype" value="y.m.d" />
                    </div>
                </div>
                <div class="col-md-3 col-sm-6 gap-top ">
                    <div class="input-group ">
                        <span class="input-group-addon title-md">转换结果:</span>
                        <input type="text" class="form-control input-readonly date-result" readonly="readonly" />
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3 col-sm-6 gap-top ">
                    <div class="input-group ">
                        <span class="input-group-addon title-sm ">日期:</span>
                        <input type="text" class="form-control date-input" value="2014/12/30 01:40:55" />
                    </div>
                </div>
                <div class="col-md-3 col-sm-6 gap-top ">
                    <div class="input-group ">
                        <span class="input-group-addon title-md">原日期类型:</span>
                        <input type="text" class="form-control date-otype" value="Y-m-d h:i:s" />
                    </div>
                </div>
                <div class="col-md-3 col-sm-6 gap-top ">
                    <div class="input-group ">
                        <span class="input-group-addon title-md">新日期类型:</span>
                        <input type="text" class="form-control date-ntype" value="Y-m-d H:i:s" />
                    </div>
                </div>
                <div class="col-md-3 col-sm-6 gap-top ">
                    <div class="input-group ">
                        <span class="input-group-addon title-md">转换结果:</span>
                        <input type="text" class="form-control input-readonly date-result" readonly="readonly" />
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3 col-sm-6 gap-top ">
                    <div class="input-group ">
                        <span class="input-group-addon title-sm ">日期:</span>
                        <input type="text" class="form-control date-input" value="14-12-30" />
                    </div>
                </div>
                <div class="col-md-3 col-sm-6 gap-top ">
                    <div class="input-group ">
                        <span class="input-group-addon title-md">原日期类型:</span>
                        <input type="text" class="form-control date-otype" value="y-m-d" />
                    </div>
                </div>
                <div class="col-md-3 col-sm-6 gap-top ">
                    <div class="input-group ">
                        <span class="input-group-addon title-md">新日期类型:</span>
                        <input type="text" class="form-control date-ntype" value="Y-m-d" />
                    </div>
                </div>
                <div class="col-md-3 col-sm-6 gap-top ">
                    <div class="input-group ">
                        <span class="input-group-addon title-md">转换结果:</span>
                        <input type="text" class="form-control input-readonly date-result" readonly="readonly" />
                    </div>
                </div>
            </div>
        </div>
    </div>
    <hr />
    <div class="row">
        <div class="col-md-4 col-sm-6  gap-top">
            <div class=" btn-group">
                <button class="btn btn-default">
                     扩展方法String.format</button>
            </div>
        </div>
    </div>
    <div class="row  gap-top ">
        <pre class="prettyprint">示例：
        var temp='我叫{0},来自{1},今年{2}岁啦';
        temp.format("张三","北京",5);
        temp='我叫张三，来自北京，今年5岁啦';
        </pre>
    </div>
    <hr />
</div>
